Catalog Tasks
Catalog Tasks
Get task status
client.zones.catalogTasks.retrieve(stringtaskID, CatalogTaskRetrieveParams { zone_id, xClientRequestID } params, RequestOptionsoptions?): Task { id, created_at, operation, 9 more }
GET/zones/{zone_id}/catalog_tasks/{task_id}
ModelsExpand Collapse
Task { id, created_at, operation, 9 more }
Task { id, created_at, operation, 9 more }
id: string
created_at: string
formatdate-time
Accepts one of the following:
"create"
"delete"
Accepts one of the following:
"pending"
"running"
"completed"
"failed"
updated_at: string
formatdate-time
error_message?: string
install_id?: string
links?: Array<Link>
links?: Array<Link>
href: string
Target reference.
Fragment URIs (#name) reference other entities in the same graph by
their local name (the key in the entity map). Absolute paths and URLs reference
external resources outside the graph.
rel: string
Link relation type.
properties?: Record<string, unknown>
Additional metadata keyed by property name.
titles?: Record<string, string>
Human-readable titles keyed by BCP 47 language tag.
type?: string
Media type of the target resource (per RFC 7033 section 4.4.4.3).
Applies to external hrefs; typically omitted for intra-graph references.
package_id?: string
package_slug?: string
package_version?: number
warnings?: Array<Warning>Informational warnings about the task outcome. For delete tasks,
warns when adopted entities (pre-existing resources not created by
the catalog) will be preserved rather than deleted.
warnings?: Array<Warning>
Informational warnings about the task outcome. For delete tasks, warns when adopted entities (pre-existing resources not created by the catalog) will be preserved rather than deleted.
code: "validation_error" | "bad_request" | "unauthorized" | 6 more
code: "validation_error" | "bad_request" | "unauthorized" | 6 more
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
details: Array<Detail>
details: Array<Detail>
code: "validation_error" | "bad_request" | "unauthorized" | 6 more
code: "validation_error" | "bad_request" | "unauthorized" | 6 more
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
field: string
valid json path for request body
message: string
error message for specific error
message: string
summary of the error
path: string
formaturl
request_id: string
formatuuid
status: number
HTTP Status Code
timestamp: string
formatdate-time
TaskOperation = "create" | "delete"
TaskOperation = "create" | "delete"
Accepts one of the following:
"create"
"delete"
TaskStatus = "pending" | "running" | "completed" | "failed"
TaskStatus = "pending" | "running" | "completed" | "failed"
Accepts one of the following:
"pending"
"running"
"completed"
"failed"